# Generated by Django 3.0.8 on 2020-07-25 12:28

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('wiki', '0004_page_as_evidence'),
        ('wf1', '0002_claim_checked_by_supervisor'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('wf2', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='label',
            name='sentence',
            field=models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, related_name='labels', to='wiki.Sentence'),
            preserve_default=False,
        ),
        migrations.RemoveField(
            model_name='label',
            name='claim',
        ),
        migrations.AddField(
            model_name='label',
            name='claim',
            field=models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, related_name='labels', to='wf1.Claim'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='label',
            name='label',
            field=models.IntegerField(choices=[(0, 'Supported'), (1, 'Refuted')]),
        ),
        migrations.CreateModel(
            name='Evidence',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('last_update', models.DateTimeField(auto_now=True)),
                ('hyperlinks', models.ManyToManyField(related_name='evidences', to='wiki.Hyperlink')),
                ('sentences', models.ManyToManyField(related_name='evidences', to='wiki.Sentence')),
            ],
        ),
        migrations.CreateModel(
            name='ClaimState',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('state', models.IntegerField(choices=[(0, 'Assigned'), (1, 'Not enough information'), (2, "Don't want to annotate"), (3, 'Check WF1 rules'), (4, 'Simple error'), (5, 'Flag'), (6, 'Completed')])),
                ('last_update', models.DateTimeField(auto_now=True)),
                ('claim', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='claim_state', to='wf1.Claim')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='claim_state', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddField(
            model_name='label',
            name='evidence',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='label', to='wf2.Evidence'),
        ),
    ]
